using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：培训需求
    /// </summary>
    [Description("导航：培训需求")]
    public class T_SE_TRAIN_SURVEY_LIST_DEMAND_ITEM : MesEntityBase
    {
        /// <summary>
        /// 用户需求ID
        /// </summary>
        [Description("用户需求")]
        [DataFieldForeignKey("Nav_List", "Nav_Items")]
        public Guid LIST_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_TRAIN_SURVEY_LIST_DEMAND Nav_List { get; set; }
        /// <summary>
        /// 需求ID
        /// </summary>
        [Description("需求")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_DEMAND")]
        public Guid DEMAND_ID { get; set; }
        /// <summary>
        /// 导航: 需求
        /// </summary>
        [Description("导航: 需求")]
        public T_SE_TRAIN_DEMAND_ENUM Nav_DEMAND { get; set; }
    }
}
